
import { http } from "@/utils/http";


// 新增咨询
// export const add = (data: any) => {
//   return http({
//     method: "POST",
//     url: "/api/v1/vehicleInfo/add",
//     data,
//   });
// };

// 新增登记
export const addRegis = (data: any) => {
  return http({
    method: "POST",
    url: "/api/v1/vehicleRegistration/add",
    data,
  });
};

export const updateRegis = (data: any) => {
  return http({
    method: "POST",
    url: "/api/v1/vehicleRegistration/updateById",
    data,
  });
};


export const getBrand = (data: any) => {
  return http({
    method: "GET",
    url: "/api/v1/vehicleRegistration/getBrand",
    data
  });
};

export const queryRegis = (data: any) => {
  return http({
    method: "GET",
    url: "/api/v1/vehicleRegistration/findPage",
    data,
  });
};

export const getLocation = (data: any) => {
  return http({
    method: "GET",
    url: "/api/v1/city/findPage",
    data,
  });
};

export const getRegisList = (data: any) => {
  return http({
    method: "GET",
    url: "/api/v1/vehicleRegistration/findPage",
    data,
  });
};


export const getDetail = (data: any) => {
  return http({
    method: "GET",
    url: "/api/v1/vehicleRegistration/selectOne",
    data,
  });
};















